clear all
close all
clc
%% Parameter Interface
SampleFre = 1000;%Ƶ
SignalLen = 20000;  %ݳ
%% Main
%--------------------------------------------------------------------------------------
t = (0:SignalLen-1)/SampleFre;%ʱ
SignalData = 0.7*sin(2*pi*50*t) + sin(2*pi*120*t); %Ƶ>2źƵ
NoiseData = 2*randn(size(t));
SignalAddNoiseData = SignalData + NoiseData;
plot(1000*t(1:50),SignalAddNoiseData(1:50))
title('ź')
xlabel('t()')
%--------------------------------------------------------------------------------------
FFTData = fft(SignalAddNoiseData);
FFTAmplitude0 = abs(FFTData)/SignalLen; %Ƶ׹SignalLen/2Գ
FFTAmplitude1 = FFTAmplitude0(1:SignalLen/2);
FFTAmplitude0(2:end) = 2*FFTAmplitude0(2:end);%ķֵҪб任ʱķֵӦ
FFTAmplitude1(2:end) = 2*FFTAmplitude1(2:end);
Frequence0 = SampleFre*(0:(SignalLen-1))/SignalLen;
Frequence1 = SampleFre*((0:(SignalLen/2)-1))/SignalLen;
subplot(2,1,1)
plot(Frequence0,FFTAmplitude0)
title('˫Ƶ')
xlabel('f(Hz)')
ylabel('FFTAmplitude')
subplot(2,1,2)
plot(Frequence1,FFTAmplitude1)
title('Ƶ')
xlabel('f(Hz)')
ylabel('FFTAmplitude')
